apiVersion: redhatcop.redhat.io/v1alpha1
kind: QuayEcosystem
metadata:
  name: demotlsedge-quayecosystem
spec:
  quay:
    imagePullSecretName: redhat-pull-secret
    image: quay.io/quay/quay:v3.3.0-2
    registryBackends:
    - name: azure
      azure:
        containerName: quay0423
        accountName: quay0423
        accountKey: TmUA8/jx9NAnACw78u4geVmOTOzp5lzDwBBWRTMLUfjdkiecJWGUi5dcEEwguaZ5wPdECtZ0h+/r76E9t0Fg9A==
        sasToken: ?sv=2019-02-02&ss=bfqt&srt=sco&sp=rwdlacup&se=2020-04-23T16:39:33Z&st=2020-04-23T08:39:33Z&spr=https&sig=i6x7YkVMSvfSB3nZ9Kiq7J8qA6dfj77pliWigBiPdlQ%3D
        storagePath: /quayazuredata/quayregistry
    externalAccess:
      tls:
        termination: edge
    keepConfigDeployment: true
    enableRepoMirroring: true
    database:
      volumeSize: 30Gi
    envVars:
      - name: DEBUGLOG
        value: "true"
  clair:
    enabled: true
    image: quay.io/quay/clair-jwt:v3.3.0-1
    imagePullSecretName: redhat-pull-secret
    updateInterval: "60m"
